# PBSTileInfo Struct Reference

This struct contains information about the end of a reserved path. More...

`#include <pbs.h>`

## Public Member Functions
| PBSTileInfo (TileIndex _t, Trackdir _td, bool _okay)
## Data Fields
TileIndex | tile
| Tile the path ends, INVALID_TILE if no valid path was found.
Trackdir | trackdir
| The reserved trackdir on the tile.
bool | okay
| True if tile is a safe waiting position, false otherwise.

## Detailed Description

This struct contains information about the end of a reserved path.

Definition at line 28 of file pbs.h.

The documentation for this struct was generated from the following file:

- src/pbs.h